(function($) {
    'use strict';

    $(document).ready(function() {
        // Get the active tab from localStorage or default to 'general'
        var activeTab = localStorage.getItem('fnmm_active_tab') || 'general';
        
        // Function to show the active tab
        function showActiveTab(tabName) {
            $('.fnmm-tab-link').removeClass('active');
            $('.fnmm-tab-link[data-tab="' + tabName + '"]').addClass('active');
            $('.fnmm-tab-content').removeClass('active').hide();
            $('#fly-nav-mobile-' + tabName).addClass('active').show();
            localStorage.setItem('fnmm_active_tab', tabName);
        }

        // Show the active tab on page load
        showActiveTab(activeTab);

        // Tab functionality
        $('.fnmm-tab-link').on('click', function() {
            var tabId = $(this).data('tab');
            showActiveTab(tabId);
        });

        // Function to initialize color pickers
        function initColorPickers() {
            $('.fnmm-color-picker').wpColorPicker();
        }

        // Initialize color pickers on page load
        initColorPickers();

        // Handle form submission
        $('.fnmm-settings-form').on('submit', function() {
            localStorage.setItem('fnmm_form_submitted', 'true');
        });

        // Check if the form was just submitted
        if (localStorage.getItem('fnmm_form_submitted') === 'true') {
            localStorage.removeItem('fnmm_form_submitted');
            // Show a success message
            $('<div class="notice notice-success is-dismissible"><p>' + fnmm_localized.settings_saved + '</p></div>').insertBefore('.fnmm-backend-container');
        }

        // Logo upload functionality
        $('#fnmm_upload_logo_button').on('click', function(e) {
            e.preventDefault();
            var image = wp.media({
                title: 'Upload Logo',
                multiple: false
            }).open().on('select', function(e) {
                var uploaded_image = image.state().get('selection').first();
                var image_url = uploaded_image.toJSON().url;
                $('#fnmm_logo_url').val(image_url);
            });
        });
    });
})(jQuery);